Get a payment
curl --request GET \
--url https://www.ruddr.io/api/workspace/payments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/payments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/payments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/payments/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/payments/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/payments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3e7c1f92-8a45-4b6d-9e0f-2c4d8b1a5e73",
"referenceNumber": "WIRE-20250115",
"receivedOn": "2025-01-15",
"notes": "Payment received via wire transfer.",
"currency": "USD",
"amount": 52500,
"createdAt": "2025-01-15T20:47:03.284Z",
"client": {
"id": "6d4b9e27-3c15-4f8a-b0e2-7a5c8d1f9043",
"name": "Acme Corp"
},
"paymentMethod": {
"id": "a7f3c2e1-5b84-4d09-8e6a-1c9d0b7f4e52",
"name": "Wire Transfer"
},
"invoices": [
{
"id": "b2e8f461-7d30-4c9a-8f15-5e2b0c7d3a96",
"number": "INV-001",
"amount": 52500
}
]
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'c8f2d4a1-6e39-4b07-9a5c-1d3e8f7b2c04' not found."
}Payments
Get a payment
GET
/
payments
/
{id}
Get a payment
curl --request GET \
--url https://www.ruddr.io/api/workspace/payments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/payments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/payments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/payments/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/payments/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/payments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3e7c1f92-8a45-4b6d-9e0f-2c4d8b1a5e73",
"referenceNumber": "WIRE-20250115",
"receivedOn": "2025-01-15",
"notes": "Payment received via wire transfer.",
"currency": "USD",
"amount": 52500,
"createdAt": "2025-01-15T20:47:03.284Z",
"client": {
"id": "6d4b9e27-3c15-4f8a-b0e2-7a5c8d1f9043",
"name": "Acme Corp"
},
"paymentMethod": {
"id": "a7f3c2e1-5b84-4d09-8e6a-1c9d0b7f4e52",
"name": "Wire Transfer"
},
"invoices": [
{
"id": "b2e8f461-7d30-4c9a-8f15-5e2b0c7d3a96",
"number": "INV-001",
"amount": 52500
}
]
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'c8f2d4a1-6e39-4b07-9a5c-1d3e8f7b2c04' not found."
}A client’s payment towards one or more invoices.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The payment uuid.
Response
200
The unique identifier for the object.
The payment reference number (e.g., a check number or wire transfer ID).
The date the payment was received (YYYY-MM-DD).
Additional notes about the payment.
The 3-letter ISO 4217 currency code for the payment.
The total payment amount.
The timestamp when the object was created.
The client associated with this payment.
Show child attributes
Show child attributes
The payment method used for this payment.
Show child attributes
Show child attributes
The invoices this payment is applied to.
Show child attributes
Show child attributes